%define		kdeplasmaver	5.11.2
%define		qtver		5.3.2
%define		kpname		breeze
Summary:	Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:		kp5-%{kpname}
Version:	5.11.2
Release:	4
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	5bafabb5b77e1571b7aca5e50ff9ef6a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	hardlink >= 1.0-3
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-frameworkintegration-devel
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kcodecs-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kp5-kdecoration-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-qmake
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{kpname}-cursor-theme = %{version}-%{release}
Requires:	kf5-breeze-icons
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Artwork, styles and assets for the Breeze visual style for the Plasma
Desktop.

%package devel
Summary:	Breeze devel
Summary(pl.UTF-8):	Breeze devel
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description devel
Artwork, styles and assets for the Breeze visual style for the Plasma
Desktop. Devel files

%package -n %{kpname}-cursor-theme
Summary:	Breeze cursor theme
Group:		Themes
Conflicts:	breeze-icon-theme < 5.4.0-7
Conflicts:	kp5-breeze < 5.4.0-5
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n %{kpname}-cursor-theme
Breeze cursor theme.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_iconsdir}/{breeze-dark,breeze}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kpname} --all-name --with-kde

hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/icons/breeze_cursors
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/icons/Breeze_Snow

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/breeze-settings5
#%%attr(755,root,root) %{_libdir}/kconf_update_bin/gtkbreeze
%attr(755,root,root) %{_libdir}/kconf_update_bin/kde4breeze
%attr(755,root,root) %{_libdir}/qt5/plugins/kstyle_breeze_config.so
%attr(755,root,root) %{_libdir}/qt5/plugins/org.kde.kdecoration2/breezedecoration.so
%attr(755,root,root) %{_libdir}/qt5/plugins/styles/breeze.so
%{_iconsdir}/hicolor/scalable/apps/breeze-settings.svgz
%{_libdir}/qt5/qml/QtQuick/Controls/Styles/Breeze
%dir %{_datadir}/QtCurve
%{_datadir}/QtCurve/Breeze.qtcurve
%dir %{_datadir}/color-schemes
%{_datadir}/color-schemes/Breeze.colors
%{_datadir}/color-schemes/BreezeDark.colors
%{_datadir}/color-schemes/BreezeHighContrast.colors
#%%{_datadir}/kconf_update/gtkbreeze.upd
%{_datadir}/kconf_update/kde4breeze.upd
%{_datadir}/kservices5/breezedecorationconfig.desktop
%{_datadir}/kservices5/breezestyleconfig.desktop
#%%{_datadir}/kservices5/plasma-lookandfeel-org.kde.breezedark.desktop.desktop
%{_datadir}/kstyle/themes/breeze.themerc
%{_datadir}/wallpapers/Next

%dir %{_datadir}/plasma/look-and-feel
%dir %{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop
%dir %{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents
%dir %{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents/previews
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents/defaults
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/contents/previews/preview.png
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/metadata.desktop
%{_datadir}/metainfo/org.kde.breezedark.desktop.appdata.xml
%{_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/metadata.json

%files -n %{kpname}-cursor-theme
%defattr(644,root,root,755)
%{_iconsdir}/Breeze_Snow
%{_iconsdir}/breeze_cursors

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/Breeze
%changelog
* Sat Mar 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-breeze.git;a=log;h=master

* Sat Mar 24 2018 Jan Rękorajski <baggins@pld-linux.org> 0d90093
- drop icon-theme package which contained only empty dirs
- R:kf5-breeze-icons
- rel 4

* Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> d69048e
- release 3 (by relup.sh)

* Tue Oct 31 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 29f4806
- BR: Qt5Quick-devel

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> f3f4722
- adapterized; rel 2

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> abcd3cc
- updated to 5.11.2

* Tue Oct 10 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 06334dd
- updated to 5.11.0

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 8e8fce8
- one more dir
- rel 5

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 0197892
- fix files
- rel 4

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 68e68e3
- fix files
- rel 3

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 9d6ff9f
- release 2 (by relup.sh)

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> b3c2db0
- updated to 5.5.4
- breeze icons are (probably) in kf5-breeze-icons

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 6014462
- require hardlink from user bin

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 787fa80
- more deps for update_hicolor macro

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> c53af51
- hicolor-icon-theme dep in main package

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> dc3715d
- drop bogus ldconfig

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> e0b4f5f
- no macros in conflicts

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 69c9cec
- split breeze-cursor-theme

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 3c545a8
- package icon-theme.cache

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 2c22f0c
- split icon theme, usable standalone

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 5e348c5
- update deps

